VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} EDIT_UserForm 
   Caption         =   "UserForm1"
   ClientHeight    =   3225
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4710
   OleObjectBlob   =   "EDIT_UserForm.frx":0000
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "EDIT_UserForm"
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False








Option Explicit
'........1.........2.........3.........4.........5.........6.........7.........8.........9.........0
'   Gs4Word - Ghostscript fr Microsoft Word, Excel und Powerpoint
' Modul:
'   EDIT_UserForm
' Effekt:
'   Das Modul zeigt eine UserForm mit den Einstellungen zum Erzeugen einer PDF-Datei an.
' Restriktionen:
'   Siehe Modul EDIT_Prozeduren
' Entwicklung und Test:
'   Siehe Modul EDIT_Prozeduren
' Copyright:
'   Siehe Modul EDIT_Prozeduren
' Historie:
'   Siehe Modul EDIT_Prozeduren

Private Const lWIDTHFONTFAKTOR As Single = 1.6

Private LabelEditText As MSForms.Label
Private WithEvents ComboBoxBeschreibungSwitch As MSForms.ComboBox

Private WithEvents ComboBoxVbaNamenSwitch As MSForms.ComboBox

Private WithEvents ComboBoxDarstellungSwitch As MSForms.ComboBox

        
Private WithEvents CommandButtonOK As MSForms.CommandButton

Private WithEvents CommandButtonAbbrechen As MSForms.CommandButton


Private Sub UserForm_Initialize()

    Const sCHECKBOX As String = "Forms.CheckBox.1"
    Const sCOMBOBOX As String = "Forms.ComboBox.1"
    Const sCOMMANDBUTTON As String = "Forms.CommandButton.1"
    Const sLABEL As String = "Forms.Label.1"
    Const sMULTIPAGE As String = "Forms.MultiPage.1"
    Const sTEXTBOX As String = "Forms.TextBox.1"
    Const iZEILENHOEHE As Integer = 20 'Hhe einer Zeile (Raster)
    Const iRANDHOEHE As Integer = 6 'Vertikaler Rand
    Const iRANDBREITE As Integer = 6 'Horizontaler Rand
    Const iLABELBREITBREITE As Integer = 300
    Const iLABELMITTELBREITE As Integer = 78
    Const iLABELBREITE As Integer = 78
    Const iLABELHOEHE As Integer = 12
    Const iLABELHOFFSET As Integer = 2
    Const iCHECKBOXBREITE As Integer = 200
    Const iCHECKBOXHOEHE As Integer = 18
    Const iBUTTONBREITE As Integer = 66
    Const iBUTTONHOEHE As Integer = 18
    Const iCOMBOBOXBREITE As Integer = 300
    Const iCOMBOBOXHOEHE As Integer = 15
    Const iTEXTBOXBREITE As Integer = 220
    Const iTEXTBOXHOEHE As Integer = 15
    
    Dim iTop As Integer
    Dim lButtonAbstand As Long
    Dim lKopf As Long
    
    gbEditDialogEffekt = False
    ReDim gsBeschreibungSwitchListe(2)
    gsBeschreibungSwitchListe(0) = sBESCHREIBUNG_0
    gsBeschreibungSwitchListe(1) = sBESCHREIBUNG_1
    gsBeschreibungSwitchListe(2) = sBESCHREIBUNG_2
    ReDim gsVbaNamenSwitchListe(1)
    gsVbaNamenSwitchListe(0) = sVBANAMEN_0
    gsVbaNamenSwitchListe(1) = sVBANAMEN_1
    ReDim gsDarstellungSwitchListe(2)
    gsDarstellungSwitchListe(0) = sDARSTELLUNG_0
    gsDarstellungSwitchListe(1) = sDARSTELLUNG_1
    gsDarstellungSwitchListe(2) = sDARSTELLUNG_2
    
    lKopf = Me.Height - Me.InsideHeight  'fr die Hhe der Kopfzeile und Multipager-Reiter
  
    ' Alle Felder zur UserForm hinzufgen
    '------------------------------------
    
    iTop = iRANDHOEHE - iZEILENHOEHE 'iTop ist die vertikale Position der Zeile
    
    '---------- Zeile 1 ----------
    iTop = iTop + iZEILENHOEHE

    'LabelEditText
    Set LabelEditText = Me.Controls.Add(sLABEL, "LabelEditText", True)
    With LabelEditText
        .Height = iLABELHOEHE * 3
        .Left = iRANDBREITE
        .Top = iTop
        .Width = iLABELBREITBREITE
        .Caption = fsText(sCAPTION_LABELEDITTEXT, gsIniDatei_Ueb)
    End With

    '---------- Zeile 2 ----------
    iTop = iTop + iZEILENHOEHE
    
    '---------- Zeile 3 ----------
    iTop = iTop + iZEILENHOEHE
    
    'ComboBoxBeschreibungSwitch
    Set ComboBoxBeschreibungSwitch = Me.Controls.Add(sCOMBOBOX, "ComboBoxBeschreibungSwitch", True)
    With ComboBoxBeschreibungSwitch
        .Height = iCOMBOBOXHOEHE
        .Left = iRANDBREITE
        .Top = iTop
        .Width = iCOMBOBOXBREITE
        .List() = gsBeschreibungSwitchListe()
        .Style = fmStyleDropDownList 'Dropdown-Liste verwenden
        .BoundColumn = 1 'Werte im Kombinationsfeld entsprechen den Werten selbst
        .ListIndex = giBeschreibungSwitch 'Kombinationsfeld auf ersten Eintrag festlegen
    End With
    
    '---------- Zeile 4 ----------
    iTop = iTop + iZEILENHOEHE
    
    'ComboBoxVbaNamenSwitch
    Set ComboBoxVbaNamenSwitch = Me.Controls.Add(sCOMBOBOX, "ComboBoxVbaNamenSwitch", True)
    With ComboBoxVbaNamenSwitch
        .Height = iCOMBOBOXHOEHE
        .Left = iRANDBREITE
        .Top = iTop
        .Width = iCOMBOBOXBREITE
        .List() = gsVbaNamenSwitchListe()
        .Style = fmStyleDropDownList 'Dropdown-Liste verwenden
        .BoundColumn = 1 'Werte im Kombinationsfeld entsprechen den Werten selbst
        .ListIndex = giVbaNamenSwitch 'Kombinationsfeld auf ersten Eintrag festlegen
    End With
    
    '---------- Zeile 5 ----------
    iTop = iTop + iZEILENHOEHE
    
    'ComboBoxDarstellungSwitch
    Set ComboBoxDarstellungSwitch = Me.Controls.Add(sCOMBOBOX, "ComboBoxDarstellungSwitch", True)
    With ComboBoxDarstellungSwitch
        .Height = iCOMBOBOXHOEHE
        .Left = iRANDBREITE
        .Top = iTop
        .Width = iCOMBOBOXBREITE
        .List() = gsDarstellungSwitchListe()
        .Style = fmStyleDropDownList 'Dropdown-Liste verwenden
        .BoundColumn = 1 'Werte im Kombinationsfeld entsprechen den Werten selbst
        .ListIndex = giDarstellungSwitch 'Kombinationsfeld auf ersten Eintrag festlegen
    End With
    
    '---------- ButtonZeile ----------
    iTop = iTop + iZEILENHOEHE + iRANDHOEHE
    lButtonAbstand = iRANDBREITE

    'CommandButtonOK
    Set CommandButtonOK = Me.Controls.Add(sCOMMANDBUTTON, "CommandButtonOK", True)
    With CommandButtonOK
        .Height = iBUTTONHOEHE
        '.Left = ComboBoxDarstellungSwitch.Left
        .Left = iRANDBREITE
        .Top = iTop
        .Width = iBUTTONBREITE
        .Caption = sCAPTION_COMMANDBUTTONOK
        .Default = True
        .TabIndex = 0
    End With

    'CommandButtonAbbrechen
    Set CommandButtonAbbrechen = Me.Controls.Add(sCOMMANDBUTTON, "CommandButtonAbbrechen", True)
    With CommandButtonAbbrechen
        .Height = iBUTTONHOEHE
        .Left = ComboBoxDarstellungSwitch.Left + iBUTTONBREITE + lButtonAbstand
        .Top = iTop
        .Width = iBUTTONBREITE
        .Caption = sCAPTION_COMMANDBUTTONABBRECHEN
        .Cancel = True
    End With
  
    iTop = iTop + iBUTTONHOEHE 'Hhe der Buttons
    
    ' UserForm anpassen
    '------------------
    'Dialogfenster
    Me.Width = iRANDBREITE + LabelEditText.Width + iRANDBREITE + 3
    Me.Height = iTop + lKopf + iRANDHOEHE

    Me.Caption = sTITEL_EDIT
    
End Sub

Private Sub CommandButtonOK_Click()
    gbEditDialogEffekt = True
    Unload Me
End Sub

Private Sub CommandButtonAbbrechen_Click()
    gbEditDialogEffekt = False
    Unload Me
End Sub

Private Sub ComboBoxBeschreibungSwitch_Click()
    giBeschreibungSwitch = ComboBoxBeschreibungSwitch.ListIndex
End Sub

Private Sub ComboBoxVbaNamenSwitch_Click()
    giVbaNamenSwitch = ComboBoxVbaNamenSwitch.ListIndex
End Sub

Private Sub ComboBoxDarstellungSwitch_Click()
    giDarstellungSwitch = ComboBoxDarstellungSwitch.ListIndex
End Sub
'===================================================================================================
'Ende.
'===================================================================================================


